﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace ConversationControlTest
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            conversationControl1.AddMessage("John Doe", DateTime.Now, "This is a message", Color.Black, Color.LightSeaGreen, ConversationControl.ConversationControl.MessageAlignment.Left);
            conversationControl1.AddMessage("Bob Green", DateTime.Now, "This is a message", Color.Black, Color.CornflowerBlue, ConversationControl.ConversationControl.MessageAlignment.Right);
            conversationControl1.AddMessage("John Doe", DateTime.Now, "This is a message", Color.Black, Color.LightSeaGreen, ConversationControl.ConversationControl.MessageAlignment.Left);
            conversationControl1.AddMessage("John Doe", DateTime.Now, "This is a message", Color.Black, Color.LightSeaGreen, ConversationControl.ConversationControl.MessageAlignment.Left);
            conversationControl1.AddMessage("Jim Smith", DateTime.Now, "This is a message", Color.Black, Color.CornflowerBlue, ConversationControl.ConversationControl.MessageAlignment.Right);
            conversationControl1.AddMessage("John Washington", DateTime.Now, "This is a message.  It is really long.  I have a lot to say here.  I can't understand why this is so long.  It just is.  I have a lot to say, obviously.  That happens when you have a lot to say, or are just continually typing on a keyboard.  And keyboards...  What a funny input device.  A bunch of clicky little buttons on a box.  I want one of those old keyboards, IBM-style.  You know, the ones that had the black, smooth buttons that made that satisfying clicking sound.", Color.Black, Color.CornflowerBlue, ConversationControl.ConversationControl.MessageAlignment.Right);
            conversationControl1.AddMessage("John Doe", DateTime.Now, "This is a message", Color.Black, Color.LightSeaGreen, ConversationControl.ConversationControl.MessageAlignment.Left);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            conversationControl1.Clear();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            conversationControl1.AddMessage("John Coctostan", DateTime.Now,
                                            "A new message.  A good message that is chock full of lots of things.",
                                            Color.Black, Color.CornflowerBlue,
                                            ConversationControl.ConversationControl.MessageAlignment.Right);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            conversationControl1.AddMessage("John Coctostan", DateTime.Now,
                                            ultraTextEditor1.Text,
                                            Color.Black, Color.CornflowerBlue,
                                            ConversationControl.ConversationControl.MessageAlignment.Right);

            ultraTextEditor1.Text = string.Empty;
        }
    }
}
